LibreOffice: cppu::OMultiTypeInterfaceContainerHelperInt32 Class Reference

LibreOffice LibreOffice 6.4 SDK C/C++ API Reference

Public Types | Public Member Functions | Static Public Member Functions | List of all members
cppu::OMultiTypeInterfaceContainerHelperInt32 Class Reference

Specialized class for key type sal_Int32, without explicit usage of STL symbols. More...

`#include <propshlp.hxx>`

## Public Types
typedef sal_Int32 | keyType

## Public Member Functions
| OMultiTypeInterfaceContainerHelperInt32 (::osl::Mutex &rMutex)
| Create a container of interface containers. More...
| ~OMultiTypeInterfaceContainerHelperInt32 ()
| Delete all containers. More...
css::uno::Sequence< sal_Int32 > | getContainedTypes () const
| Return all id's under which at least one interface is added. More...
OInterfaceContainerHelper * | getContainer (const sal_Int32 &rKey) const
| Return the container created under this key. More...
sal_Int32 | addInterface (const sal_Int32 &rKey, const css::uno::Reference< css::uno::XInterface > &r)
| Insert an element in the container specified with the key. More...
sal_Int32 | removeInterface (const sal_Int32 &rKey, const css::uno::Reference< css::uno::XInterface > &rxIFace)
| Remove an element from the container specified with the key. More...
void | disposeAndClear (const css::lang::EventObject &rEvt)
| Call disposing on all objects in the container that support XEventListener. More...
void | clear ()
| Remove all elements of all containers. More...

## Static Public Member Functions
static void * | operator new (size_t nSize)
static void | operator delete (void *pMem)
static void * | operator new (size_t, void *pMem)
static void | operator delete (void *, void *)

## Detailed Description

Specialized class for key type sal_Int32, without explicit usage of STL symbols.

## Member Typedef Documentation

## ◆ keyType

typedef sal_Int32 cppu::OMultiTypeInterfaceContainerHelperInt32::keyType

## Constructor & Destructor Documentation

## ◆ OMultiTypeInterfaceContainerHelperInt32()

cppu::OMultiTypeInterfaceContainerHelperInt32::OMultiTypeInterfaceContainerHelperInt32 | ( | ::osl::Mutex & | rMutex | ) |

Create a container of interface containers.

Parameters

  rMutex | the mutex to protect multi thread access. The lifetime must be longer than the lifetime of this object.

## ◆ ~OMultiTypeInterfaceContainerHelperInt32()

cppu::OMultiTypeInterfaceContainerHelperInt32::~OMultiTypeInterfaceContainerHelperInt32 | ( |  | ) |

Delete all containers.

## Member Function Documentation

## ◆ addInterface()

sal_Int32 cppu::OMultiTypeInterfaceContainerHelperInt32::addInterface | ( | const sal_Int32 & | rKey,
|  | const css::uno::Reference< css::uno::XInterface > & | r
| ) |  |

Insert an element in the container specified with the key.

The position is not specified.

Parameters

  rKey | the id of the container.
  r | the added interface. It is allowed to insert null or the same pointer more than once.

Returns
  the new count of elements in the container.

## ◆ clear()

void cppu::OMultiTypeInterfaceContainerHelperInt32::clear | ( |  | ) |

Remove all elements of all containers.

Does not delete the container.

## ◆ disposeAndClear()

void cppu::OMultiTypeInterfaceContainerHelperInt32::disposeAndClear | ( | const css::lang::EventObject & | rEvt | ) |

Call disposing on all objects in the container that support XEventListener.

Then clear the container.

## ◆ getContainedTypes()

css::uno::Sequence< sal_Int32 > cppu::OMultiTypeInterfaceContainerHelperInt32::getContainedTypes | ( |  | ) | const

Return all id's under which at least one interface is added.

## ◆ getContainer()

OInterfaceContainerHelper* cppu::OMultiTypeInterfaceContainerHelperInt32::getContainer | ( | const sal_Int32 & | rKey | ) | const

Return the container created under this key.

Returns
  the container created under this key. If the container was not created, null was returned.

## ◆ operator delete() [1/2]

static void cppu::OMultiTypeInterfaceContainerHelperInt32::operator delete | ( | void * | ,
|  | void * |
| ) |  |
| inlinestatic

## ◆ operator delete() [2/2]

static void cppu::OMultiTypeInterfaceContainerHelperInt32::operator delete | ( | void * | pMem | ) |
| inlinestatic

## ◆ operator new() [1/2]

static void* cppu::OMultiTypeInterfaceContainerHelperInt32::operator new | ( | size_t | nSize | ) |
| inlinestatic

## ◆ operator new() [2/2]

static void* cppu::OMultiTypeInterfaceContainerHelperInt32::operator new | ( | size_t | ,
|  | void * | pMem
| ) |  |
| inlinestatic

## ◆ removeInterface()

sal_Int32 cppu::OMultiTypeInterfaceContainerHelperInt32::removeInterface | ( | const sal_Int32 & | rKey,
|  | const css::uno::Reference< css::uno::XInterface > & | rxIFace
| ) |  |

Remove an element from the container specified with the key.

It uses the equal definition of uno objects to remove the interfaces.

Parameters

  rKey | the id of the container.
  rxIFace | the removed interface.

Returns
  the new count of elements in the container.

The documentation for this class was generated from the following file:

- cppuhelper/propshlp.hxx